Bug 137130 - New port: net/opentracker Free lightweight bittorrent tracker
Summary: New port: net/opentracker Free lightweight bittorrent tracker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-25 17:00 UTC by Chris Rees
Modified: 2009-07-29 14:20 UTC (History)
0 users

See Also:


Attachments
opentracker.shar (6.51 KB, text/plain)
2009-07-25 17:00 UTC, Chris Rees
no flags Details
net-opentracker.diff (494 bytes, patch)
2009-07-26 12:32 UTC, utisoft
no flags Details | Diff
opentracker-patch.diff (1.20 KB, patch)
2009-07-26 13:14 UTC, utisoft
no flags Details | Diff
opentracker-patch.diff (1.21 KB, patch)
2009-07-26 13:22 UTC, utisoft
no flags Details | Diff
opentracker.shar (6.52 KB, application/x-shar)
2009-07-29 13:04 UTC, utisoft
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2009-07-25 17:00:10 UTC
	This is a lightweight, free bittorrent tracker licensed under a 'beer-ware'
license.

It is intended to run at your router.

WWW: http://erdgeist.org/arts/software/opentracker/
Comment 1 Martin Wilke freebsd_committer 2009-07-26 10:56:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 utisoft 2009-07-26 12:32:23 UTC
By the way, I've had a kind offer from Glen Barber of tarball hosting,
so I've attached a patch for the Makefile.

If it's easier, the address for the second master site is
http://freebsd.dev-random.com/opentracker/

Chris

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in a mailing list?
Comment 3 utisoft 2009-07-26 13:14:09 UTC
OK, sorry about this. I've just noticed the port doesn't respect
PREFIX properly (looks for libraries in the wrong place), so this
patch here makes it do that, and also adds Glen Barber's master site.
This means you can ignore the previous followup.

If you like, I'll just shar the whole thing up again :)

Chris

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in a mailing list?
Comment 4 utisoft 2009-07-26 13:22:09 UTC
2009/7/26 Chris Rees <utisoft@googlemail.com>:
> OK, sorry about this. I've just noticed the port doesn't respect
> PREFIX properly (looks for libraries in the wrong place), so this
> patch here makes it do that, and also adds Glen Barber's master site.
> This means you can ignore the previous followup.
>
> If you like, I'll just shar the whole thing up again :)
>
> Chris
>

And I spelt Glen's web address wrong too; I feel like crying with
embarrassment now... Right, this is the last patch, promise (this is
against the original). Please disregard _all_ the followups I posted.
It's due to rushing :(

Chris


-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in a mailing list?
Comment 5 utisoft 2009-07-29 13:04:12 UTC
Yeah, I'm really sorry about the multiple mess-ups.

I'm CCing to GNATS for the record, but gmail messes up attachments;
I'm on a dynamic IP temporarily and can't use it with sendmail!

Chris

2009/7/29 Martin Wilke <miwi@freebsd.org>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> could you please resend a new shar as attachment?
>
> Thx
>
> - - Martin
>
> - --
>
> +-----------------------+-------------------------------+
> |  PGP    : 0xB1E6FCE9  |  Jabber : miwi(at)BSDCrew.de  |
> |  Skype  : splash_111  |  Mail   : miwi(at)FreeBSD.org |
> +-----------------------+-------------------------------+
> |       Mess with the Best, Die like the Rest!          |
> +-----------------------+-------------------------------+
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.11 (FreeBSD)
>
> iEYEARECAAYFAkpv+4gACgkQdLJIhLHm/Om7RACgslGS/Xb1oo15vShNz7Sinqmq
> +5EAnRGscACPUPcbhkkGNhW4CfWFSZVX
> =GQoB
> -----END PGP SIGNATURE-----
>




-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in a mailing list?
Comment 6 Martin Wilke freebsd_committer 2009-07-29 13:34:42 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Wed, Jul 29, 2009 at 01:04:12PM +0100, Chris Rees wrote:
> Yeah, I'm really sorry about the multiple mess-ups.
>=20
> I'm CCing to GNATS for the record, but gmail messes up attachments;
> I'm on a dynamic IP temporarily and can't use it with sendmail!

what?? you can send mail with a attachment to me, make 100 other people als=
o..

any chance to upload that somewhere?

- - Martin

>=20
> Chris
>=20
> 2009/7/29 Martin Wilke <miwi@freebsd.org>:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > could you please resend a new shar as attachment?
> >
> > Thx
> >
> > - - Martin
> >
> > - --
> >
> > +-----------------------+-------------------------------+
> > | =C2=A0PGP =C2=A0 =C2=A0: 0xB1E6FCE9 =C2=A0| =C2=A0Jabber : miwi(at)BS=
DCrew.de =C2=A0|
> > | =C2=A0Skype =C2=A0: splash_111 =C2=A0| =C2=A0Mail =C2=A0 : miwi(at)Fr=
eeBSD.org |
> > +-----------------------+-------------------------------+
> > | =C2=A0 =C2=A0 =C2=A0 Mess with the Best, Die like the Rest! =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0|
> > +-----------------------+-------------------------------+
> > -----BEGIN PGP SIGNATURE-----
> > Version: GnuPG v2.0.11 (FreeBSD)
> >
> > iEYEARECAAYFAkpv+4gACgkQdLJIhLHm/Om7RACgslGS/Xb1oo15vShNz7Sinqmq
> > +5EAnRGscACPUPcbhkkGNhW4CfWFSZVX
> > =3DGQoB
> > -----END PGP SIGNATURE-----
> >
>=20
>=20
>=20
> --=20
> A: Because it messes up the order in which people normally read text.
> Q: Why is top-posting such a bad thing?
> A: Top-posting.
> Q: What is the most annoying thing in a mailing list?



- --=20

+-----------------------+-------------------------------+
|  PGP    : 0xB1E6FCE9  |  Jabber : miwi(at)BSDCrew.de  |
|  Skype  : splash_111  |  Mail   : miwi(at)FreeBSD.org |
+-----------------------+-------------------------------+
|	Mess with the Best, Die like the Rest!		|
+-----------------------+-------------------------------+
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.11 (FreeBSD)

iEYEARECAAYFAkpwQeIACgkQdLJIhLHm/OmGiQCgy7Pkfh/N5iA9JnRaesilyXrL
pycAnAwUZFfbnqM/Z9bluTN6MB4X3ctZ
=3D5zJh
-----END PGP SIGNATURE-----
Comment 7 utisoft 2009-07-29 13:42:03 UTC
It's at http://www.bayofrum.net/~chris/opentracker.shar.

Chris

2009/7/29 Martin Wilke <miwi@freebsd.org>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On Wed, Jul 29, 2009 at 01:04:12PM +0100, Chris Rees wrote:
>> Yeah, I'm really sorry about the multiple mess-ups.
>>
>> I'm CCing to GNATS for the record, but gmail messes up attachments;
>> I'm on a dynamic IP temporarily and can't use it with sendmail!
>
> what?? you can send mail with a attachment to me, make 100 other people a=
lso..
>
> any chance to upload that somewhere?
>
> - - Martin
>
>>
>> Chris
>>
>> 2009/7/29 Martin Wilke <miwi@freebsd.org>:
>> > -----BEGIN PGP SIGNED MESSAGE-----
>> > Hash: SHA1
>> >
>> > could you please resend a new shar as attachment?
>> >
>> > Thx
>> >
>> > - - Martin
>> >
>> > - --
>> >
>> > +-----------------------+-------------------------------+
>> > | =A0PGP =A0 =A0: 0xB1E6FCE9 =A0| =A0Jabber : miwi(at)BSDCrew.de =A0|
>> > | =A0Skype =A0: splash_111 =A0| =A0Mail =A0 : miwi(at)FreeBSD.org |
>> > +-----------------------+-------------------------------+
>> > | =A0 =A0 =A0 Mess with the Best, Die like the Rest! =A0 =A0 =A0 =A0 =
=A0|
>> > +-----------------------+-------------------------------+
>> > -----BEGIN PGP SIGNATURE-----
>> > Version: GnuPG v2.0.11 (FreeBSD)
>> >
>> > iEYEARECAAYFAkpv+4gACgkQdLJIhLHm/Om7RACgslGS/Xb1oo15vShNz7Sinqmq
>> > +5EAnRGscACPUPcbhkkGNhW4CfWFSZVX
>> > =3DGQoB
>> > -----END PGP SIGNATURE-----
>> >
>>
>>
>>
>> --
>> A: Because it messes up the order in which people normally read text.
>> Q: Why is top-posting such a bad thing?
>> A: Top-posting.
>> Q: What is the most annoying thing in a mailing list?
>
>
>
> - --
>
> +-----------------------+-------------------------------+
> | =A0PGP =A0 =A0: 0xB1E6FCE9 =A0| =A0Jabber : miwi(at)BSDCrew.de =A0|
> | =A0Skype =A0: splash_111 =A0| =A0Mail =A0 : miwi(at)FreeBSD.org |
> +-----------------------+-------------------------------+
> | =A0 =A0 =A0 Mess with the Best, Die like the Rest! =A0 =A0 =A0 =A0 =A0|
> +-----------------------+-------------------------------+
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.11 (FreeBSD)
>
> iEYEARECAAYFAkpwQeIACgkQdLJIhLHm/OmGiQCgy7Pkfh/N5iA9JnRaesilyXrL
> pycAnAwUZFfbnqM/Z9bluTN6MB4X3ctZ
> =3D5zJh
> -----END PGP SIGNATURE-----
>



--=20
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in a mailing list?
Comment 8 dfilter service freebsd_committer 2009-07-29 14:17:43 UTC
miwi        2009-07-29 13:17:33 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/opentracker      Makefile distinfo pkg-descr pkg-plist 
    net/opentracker/files opentracker.in patch-Makefile 
  Log:
  opentracker is a open and free bittorrent tracker project.
  It aims for minimal resource usage and is intended to run
  at your wlan router. Currently it is deployed as an open and
  free tracker instance.
  
  WWW: http://erdgeist.org/arts/software/opentracker/
  
  PR:             ports/137130
  Submitted by:   utisoft at gmail.com
  
  Revision  Changes    Path
  1.2127    +1 -0      ports/net/Makefile
  1.1       +62 -0     ports/net/opentracker/Makefile (new)
  1.1       +3 -0      ports/net/opentracker/distinfo (new)
  1.1       +29 -0     ports/net/opentracker/files/opentracker.in (new)
  1.1       +58 -0     ports/net/opentracker/files/patch-Makefile (new)
  1.1       +6 -0      ports/net/opentracker/pkg-descr (new)
  1.1       +4 -0      ports/net/opentracker/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Martin Wilke freebsd_committer 2009-07-29 14:18:14 UTC
State Changed
From-To: open->closed

New port added. Thanks!